Feature: add hillshading as an option for raster symbology

2011-06-23 01:02 AM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13999

Description

Testing something in Mapwindow GIS I noticed that it can do on-the-fly hillshading of single band rasters; in fact, this is even enabled by

default when you add a new raster layer!

I don't think it makes sense to enable it by default, but I'm sure QGIS users would also appreciate hillshading as a symbology option

(rather than having to create a second raster file for the hillshading).  Mapwindow has demonstrated that this is possible, and can be

plenty fast enough ;)

History

#1 - 2011-06-26 12:25 PM - Pirmin Kalberer

If you create a hillshade layer using DEM from the Raster plugin, you have to set the following parameters: Z factor, Scale, Azimuth of Light, Altitude of

Light. Do you think the defaults are good enough for "online" hillshading?

#2 - 2011-06-27 01:01 AM - Alister Hood

It looks good to me, although I imagine people would often like some vertical exaggeration, and in the northern hemisphere they probably want a different

azimuth.

I think if on-the-fly hillshading was implemented someone would eventually make the parameters configurable anyway :)

#3 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-04-30 04:29 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed
